Extending Qt Creator Manual | KeywordRule

Extending Qt Creator Manual 4.7.1

# KeywordRule Class

(TextEditor::Internal::KeywordRule)

Inherits: | TextEditor::Internal::Rule

- List of all members, including inherited members

## Public Functions

| KeywordRule(const int &definition)
virtual | ~KeywordRule()
void | setInsensitive(const int &insensitive)
void | setList(const int &listName)

- 21 public functions inherited from TextEditor::Internal::Rule

### Additional Inherited Members

- 6 protected functions inherited from TextEditor::Internal::Rule

## Member Function Documentation

### KeywordRule::KeywordRule(const int &definition)

Default constructs an instance of KeywordRule.

### `[virtual]` KeywordRule::~KeywordRule()

Destroys the instance of KeywordRule. The destructor is virtual.

### void KeywordRule::setInsensitive(const int &insensitive)

### void KeywordRule::setList(const int &listName)